import { css as e } from "styled-components";
import { getColorAlias as a, getSpacing as t } from "../../utils/index.js";
function s(r) {
  return r === void 0 || r < 0 ? null : r === 0 ? "00" : r < 10 ? "0" + r : r.toString();
}
function u(r, n) {
  const i = s(n), d = i ? `/${i}` : "";
  return `${s(r)}${d}`;
}
function m(r, n) {
  return !r && n ? a("supportError") : a("interactiveForm");
}
const f = (r) => {
  switch (r) {
    case "small":
      return e`
        padding: ${t("s02", "s04")};
      `;
    case "medium":
      return e`
        padding: ${t("s03", "s04")};
      `;
    case "large":
      return e`
        padding: ${t("s04")};
      `;
    default:
      return e`
        padding: ${t("s03", "s04")};
      `;
  }
}, p = (r) => {
  switch (r) {
    case "small":
      return e`
        padding: ${t("s02", "s04")};
        min-height: 64px;
      `;
    case "medium":
      return e`
        padding: ${t("s03", "s04")};
        min-height: 72px;
      `;
    case "large":
      return e`
        padding: ${t("s04")};
        min-height: 80px;
      `;
    default:
      return e`
        padding: ${t("s03", "s04")};
        min-height: 72px;
      `;
  }
}, c = (r) => r ? "8C999B" : "ffffff";
export {
  s as formatCharCount,
  m as getBorderColor,
  u as getCharacterCount,
  c as getCheckRadioIconColor,
  f as getFieldPadding,
  p as getTextAreaPadding
};
